Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.tags
Class BaseHrefTag

    java.lang.Object
      org.htmlparser.nodes.AbstractNode
          org.htmlparser.nodes.TagNode
              org.htmlparser.tags.BaseHrefTag

All Implemented Interfaces:
  Serializable, Cloneable, Node, Tag

    public class BaseHrefTag

extends TagNode

BaseHrefTag represents an <Base> tag. It extends a basic tag by providing an accessor to the HREF attribute.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.htmlparser.nodes.TagNode
`breakTags, mAttributes, mDefaultScanner`

Fields inherited from class org.htmlparser.nodes.AbstractNode
`children, mPage, nodeBegin, nodeEnd, parent`

Constructor Summary
`BaseHrefTag()` Create a new base tag.

Method Summary
`void` | `doSemanticAction()` Perform the meaning of this tag.
`String` | `getBaseUrl()` Get the value of the `HREF` attribute, if any.
`String[]` | `getIds()` Return the set of names handled by this tag.
`void` | `setBaseUrl(String base)` Set the value of the `HREF` attribute.

Methods inherited from class org.htmlparser.nodes.TagNode
`accept, breaksFlow, getAttribute, getAttributeEx, getAttributesEx, getEnders, getEndingLineNumber, getEndTag, getEndTagEnders, getRawTagName, getStartingLineNumber, getTagBegin, getTagEnd, getTagName, getText, getThisScanner, isEmptyXmlTag, isEndTag, removeAttribute, setAttribute, setAttribute, setAttribute, setAttributeEx, setAttributesEx, setEmptyXmlTag, setEndTag, setTagBegin, setTagEnd, setTagName, setText, setThisScanner, toHtml, toPlainTextString, toString`

Methods inherited from class org.htmlparser.nodes.AbstractNode
`clone, collectInto, getChildren, getEndPosition, getFirstChild, getLastChild, getNextSibling, getPage, getParent, getPreviousSibling, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHtml`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.htmlparser.Node
`clone, collectInto, getChildren, getEndPosition, getFirstChild, getLastChild, getNextSibling, getPage, getParent, getPreviousSibling, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHtml`

Constructor Detail

### BaseHrefTag

    public BaseHrefTag()

  Create a new base tag.

Method Detail

### getIds

    public String[] getIds()

  Return the set of names handled by this tag.

  Specified by:
    `getIds` in interface `Tag`
  Overrides:
    `getIds` in class `TagNode`
  Returns:
    The names to be matched that create tags of this type.

### getBaseUrl

    public String getBaseUrl()

  Get the value of the `HREF` attribute, if any.

  Returns:
    The `HREF` value, with the leading and trailing whitespace removed, if any.

### setBaseUrl

    public void setBaseUrl(String base)

  Set the value of the `HREF` attribute.

  Parameters:
    `base` - The new `HREF` value.

### doSemanticAction

    public void doSemanticAction()
                          throws ParserException

  Perform the meaning of this tag. This sets the base URL to use for the rest of the page.

  Specified by:
    `doSemanticAction` in interface `Node`
  Overrides:
    `doSemanticAction` in class `AbstractNode`
  Throws:
    `ParserException` - If setting the base URL fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |